<?php
// START CONTACT SECTION 
$wp_customize->add_section(
	'appoi_section',
	array(
		'title'         => __( 'Appointment Section', 'Luzuk Premium' ), 
		'panel'   => 'luzuk_premium_home_panel',
	)
);
    //ENABLE/DISABLE CONTACT SECTION
$wp_customize->add_setting(
	'appoi_disable',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'appoi_disable',
		array(
			'settings'      => 'appoi_disable',
			'section'       => 'appoi_section',
			'label'         => __( 'Disable Section', 'Luzuk Premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'Luzuk Premium' ),
				'off' => __( 'No', 'Luzuk Premium' )
			)   
		)
	)
);


//backgroundManager($wp_customize, 'appointment', 'appoi_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'appoi_sectionnpadding', 'appoi_section', 'Section Padding ');

$wp_customize->add_setting(
    'appoinmentsection_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'appoinmentsection_toppadding',
    array(
        'settings'      => 'appoinmentsection_toppadding',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Top ', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'appoinmentsection_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'appoinmentsection_bottompadding',
    array(
        'settings'      => 'appoinmentsection_bottompadding',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Bottom ', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'app_imgbx', 'appoi_section', 'Select Image');

$wp_customize->add_setting(
    'app_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'app_image',
        array(
            'section' => 'appoi_section',
            'settings' => 'app_image',
            'description' => __('Recommended Image Size: 756X712px', 'luzuk-premium')
        )
    )
); 

lzCustomLable($wp_customize, 'app_detailbg', 'appoi_section', 'Heading And Text');

$wp_customize->add_setting(
    'appsubheading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'ASK A STYLIST' )
    )
);
$wp_customize->add_control(
    'appsubheading',
    array(
        'settings'      => 'appsubheading',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Sub Heading', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'appheading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Great Look With Our Stylist' )
    )
);
$wp_customize->add_control(
    'appheading',
    array(
        'settings'      => 'appheading',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Heading', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'apptxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua' )
    )
);
$wp_customize->add_control(
    'apptxt',
    array(
        'settings'      => 'apptxt',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Text', 'Luzuk' )
    )
);

lzCustomLable($wp_customize, 'app_dlhsbcclr', 'appoi_section', 'Heading And Text Color');

addColorPalatOption($wp_customize, 'inquiry_lftboxsubheadingclr', 'appoi_section', 'Sub Heading Color', '#fff');

addColorPalatOption($wp_customize, 'app_secheadingclr', 'appoi_section', 'Heading Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_lftboxtxtclr', 'appoi_section', 'Text Color', '#fff');
// ===========Form Section ==========//

lzCustomLable($wp_customize, 'contactf', 'appoi_section', 'Form Section');


lzCustomLable($wp_customize, 'appointmentright_Form_label', 'appoi_section', 'Contact Inquiry Form Shortcode');

lzAddElement($wp_customize, 'luzuk_inquiry_shortcode', 'appoi_section', 'textarea', $label="Form Shortcode", 'luzuk_sanitize_text', '[your shortcode]');

addColorPalatOption($wp_customize, 'inquiry_sctionbgClr1', 'appoi_section', 'Section BG Color 1', '#272932');

addColorPalatOption($wp_customize, 'inquiry_sctionbgClr2', 'appoi_section', 'Section BG Color 2', '#F69404');

addColorPalatOption($wp_customize, 'inquiry_forminputtxtClr', 'appoi_section', 'Form Input Text / Placeholder Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_forminputtxbgtClr', 'appoi_section', 'Form Input Placeholder BG Color', '#F69404');

addColorPalatOption($wp_customize, 'inquiry_forminputbgColor', 'appoi_section', 'Form Input Border Color', '#F69404');

addColorPalatOption($wp_customize, 'inquiry_formlabelColor', 'appoi_section', 'Form Label Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_formbuttontextColor', 'appoi_section', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_formbuttontexthoverColor', 'appoi_section', 'Form Button Text Hover Color', '#F69404');

addColorPalatOption($wp_customize, 'inquiry_formbuttonbgColor', 'appoi_section', 'Form Button BG Color', '#F69404');

addColorPalatOption($wp_customize, 'inquiry_formbuttonbghoverColor', 'appoi_section', 'Form Button BG Hover Color', '#000');

lzCustomLable($wp_customize, 'Sec_imganmtdisplay', 'appoi_section' , 'BG Image Display Setting');

// to show & hide another button
$wp_customize->add_setting( 'appimg_animation_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'appimg_animation_display', array( 'label' => 'Image Display', 'section' => 'appoi_section', 'settings' => 'appimg_animation_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) );